Bug 189199 - Unable to burn cd iso image as normal user
Unable to burn cd iso image as normal user
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: k3b (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-18 06:51 EDT by Igor Jagec
Modified: 2008-05-06 11:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:47:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Igor Jagec 2006-04-18 06:51:15 EDT
Description of problem:

I have a problem with cdrecord running with k3b. I can't burn cd iso
image as normal user, but I can as root. The default permissions for
cdrecord are not set up correctly and it pops up the following message
when I run k3b:

  cdrecord will be run without root privileges
  It is highly recommended to configure cdrecord to run with root
  privileges. Only then cdrecord runs with high priority which increases
  the overall stability of the burning process. Apart from that it
  allows changing the size of the used burning buffer. A lot of user
  problems could be solved this way. This is also true when using SuSE's
  resmgr.
  Solution: Use K3bSetup to solve this problem.

There is no K3bSetup program on Fedora Core 5 (?). Ok, I found in the
cdrecord man pages that I should do 'chmod 4711 cdrecord', and it solves
the problem of the annoying popup from above, but it still doesn't solve
the problem. I got the following message from k3b's debbugging output:

  System
  -----------------------
  K3b Version: 0.12.14

  KDE Version: 3.5.1-2.3 Red Hat
  QT Version:  3.3.5
  Kernel:      2.6.16-1.2080_FC5
  Devices
  -----------------------
  PIONEER DVD-ROM DVD-121 1.04 (/dev/hdd, ) at  [CD-ROM; DVD-ROM]
  [DVD-ROM; CD-ROM] [None]

  _NEC DVD_RW ND-3540A 1.01 (/dev/hdc, ) at  [CD-R; CD-RW; CD-ROM;
  DVD-ROM; DVD-R; DVD-RW; DVD-R DL; DVD+R; DVD+RW; DVD+R DL] [DVD-ROM;
  DVD-R Sequential; DVD-R Dual Layer Sequential; DVD-RW Restricted
  Overwrite; DVD-RW Sequential; DVD+RW; DVD+R; DVD+R Double Layer;
  CD-ROM; CD-R; CD-RW] [SAO; TAO; RAW; SAO/R96R; RAW/R96R; Restricted
  Overwrite]

  Used versions
  -----------------------
  cdrecord: 2.1.1a03

  cdrecord
  -----------------------
  /usr/bin/cdrecord: Resource temporarily unavailable. Cannot get mmap
  for 4198400 Bytes on /dev/zero.

  Cdrecord-Clone 2.01.01a03-dvd (i686-pc-linux-gnu) Copyright (C)
  1995-2005 Jörg Schilling

  NOTE: This version contains the OSS DVD extensions for cdrtools and
  thus may have bugs related to DVD issues that are not present in the
  original cdrtools. Please send bug reports or support requests to
  http://bugzilla.redhat.com/bugzilla The original cdrtools author
  should not be bothered with problems in this version.

  TOC Type: 1 = CD-ROM

  cdrecord command:
  -----------------------
  /usr/bin/cdrecord -v gracetime=2 dev=/dev/hdc speed=32 -dao
  driveropts=burnfree -eject -overburn -data
  /home/ijagec/Linux-Distre/FC-5-i386-disc5.iso


Version-Release number of selected component (if applicable):

# rpm -q k3b cdrecord
k3b-0.12.14-0.FC5.2
cdrecord-2.01.01.0.a03-3

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Harald Hoyer 2006-04-18 08:43:42 EDT
Hmmm... worksforme... no problems at all

$ rpm -q qt kdebase k3b cdrecord
qt-3.3.5-13
kdebase-3.5.1-5
k3b-0.12.14-0.FC5.2
cdrecord-2.01.01.0.a03-3
$ uname -r
2.6.16-1.2080_FC5

With "HL-DT-STDVDRRW GWA-4161B" and "PIONEER DVD-RW DVR-105"

$ ls -l /usr/bin/cdrecord
-rwxr-xr-x 1 root root 374124 15. Feb 10:10 /usr/bin/cdrecord
Comment 2 Harald Hoyer 2006-04-18 08:44:35 EDT
no popup... nothing..
Comment 3 Harald Hoyer 2006-04-18 08:48:15 EDT
System
-----------------------
K3b Version: 0.12.14

KDE Version: 3.5.1-2.3 Red Hat
QT Version:  3.3.5
Kernel:      2.6.16-1.2080_FC5
Devices
-----------------------
PIONEER DVD-RW  DVR-105 1.00 (/dev/hdd, ) at  [CD-R; CD-RW; CD-Rom; DVD-Rom;
DVD-R; DVD-RW] [DVD-Rom; DVD-R Sequentiell; DVD-RW Eingeschränktes Überbrennen;
DVD-RW Sequentiell; CD-Rom; CD-R; CD-RW] [SAO; TAO; RAW; SAO/R96P; SAO/R96R;
RAW/R16; RAW/R96P; RAW/R96R; Eingeschränktes Überschreiben]

HL-DT-ST DVDRRW GWA-4161B 1.15 (/dev/hdc, ) at  [CD-R; CD-RW; CD-Rom; DVD-Rom;
DVD-R; DVD-RW; DVD+R; DVD+RW; DVD+R doppelschichtig] [DVD-Rom; DVD-R
Sequentiell; DVD-RW Eingeschränktes Überbrennen; DVD-RW Sequentiell; DVD+RW;
DVD+R; DVD+R Doppelschicht; CD-Rom; CD-R; CD-RW] [SAO; TAO; RAW; SAO/R96P;
SAO/R96R; RAW/R16; RAW/R96P; RAW/R96R; Eingeschränktes Überschreiben]
Used versions
-----------------------
cdrecord: 2.1.1a03

cdrecord
-----------------------
/usr/bin/cdrecord: Cannot allocate memory. WARNING: Cannot do mlockall(2).
/usr/bin/cdrecord: WARNING: This causes a high risk for buffer underruns.
/usr/bin/cdrecord: Operation not permitted. WARNING: Cannot set RR-scheduler
/usr/bin/cdrecord: Permission denied. WARNING: Cannot set priority using
setpriority().
/usr/bin/cdrecord: WARNING: This causes a high risk for buffer underruns.
scsidev: '/dev/hdd'
devname: '/dev/hdd'
scsibus: -2 target: -2 lun: -2
Linux sg driver version: 3.5.27
/usr/bin/cdrecord: Warning: using inofficial libscg transport code version
(schily - Red Hat-scsi-linux-sg.c-1.85-RH '@(#)scsi-linux-sg.c 1.85 05/05/16
Copyright 1997 J. Schilling').
SCSI buffer size: 64512
Cdrecord-Clone 2.01.01a03-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2005 Jörg
Schilling
NOTE: This version contains the OSS DVD extensions for cdrtools and thus may
      have bugs related to DVD issues that are not present in the original
      cdrtools. Please send bug reports or support requests to
      http://bugzilla.redhat.com/bugzilla The original cdrtools author should
      not be bothered with problems in this version.
TOC Type: 1 = CD-ROM
Using libscg version 'schily-0.8'.
Driveropts: 'burnfree'
atapi: 1
Device type    : Removable CD-ROM
Version        : 0
Response Format: 2
Capabilities   : 
Vendor_info    : 'PIONEER '
Identifikation : 'DVD-RW  DVR-105 '
Revision       : '1.00'
Device seems to be: Generic mmc2 DVD-R/DVD-RW.
Current: 0x0009
Profile: 0x0014 
Profile: 0x0013 
Profile: 0x0011 
Profile: 0x0010 
Profile: 0x000A 
Profile: 0x0009 (current)
Profile: 0x0008 
Using generic SCSI-3/mmc   CD-R/CD-RW driver (mmc_cdr).
Driver flags   : MMC-3 SWABAUDIO BURNFREE 
Supported modes: TAO PACKET SAO SAO/R96P SAO/R96R RAW/R16 RAW/R96P RAW/R96R
Drive buf size : 1267712 = 1238 KB
FIFO size      : 4194304 = 4096 KB
/usr/bin/cdrecord: Operation not permitted. WARNING: Cannot set RR-scheduler
/usr/bin/cdrecord: Permission denied. WARNING: Cannot set priority using
setpriority().
/usr/bin/cdrecord: WARNING: This causes a high risk for buffer underruns.
Track 01: data   506 MB        
Total size:      581 MB (57:36.13) = 259210 sectors
Lout start:      581 MB (57:38/10) = 259210 sectors
Current Secsize: 2048
ATIP info from disk:
  Indicated writing power: 6
  Is not unrestricted
  Is not erasable
  Disk sub type: Medium Type C, low Beta category (C-) (6)
  ATIP start of lead in:  -11231 (97:32/19)
  ATIP start of lead out: 359846 (79:59/71)
Disk type:    Short strategy type (Phthalocyanine or similar)
Manuf. index: 27
Manufacturer: Prodisc Technology Inc.
Blocks total: 359846 Blocks current: 359846 Blocks remaining: 100636
Speed set to 2822 KB/s
Starting to write CD/DVD at speed  16.0 in real SAO mode for single session.
Last chance to quit, starting real write in 3 seconds.
   2 seconds.
   1 seconds.
   0 seconds.
 Operation starts.
Waiting for reader process to fill input buffer ... input buffer ready.
trackno=0
BURN-Free is OFF.
Turning BURN-Free on
Performing OPC...
Sending CUE sheet...
/usr/bin/cdrecord: WARNING: Drive returns wrong startsec (0) using -150
Writing pregap for track 1 at -150
Starting new track at sector: 0
Track 01:    0 of  506 MB written.
...
Track 01:  506 of  506 MB written (fifo 100%) [buf  93%]  17.2x.
Track 01: Total bytes read/written: 530862080/530862080 (259210 sectors).
Writing  time:  228.181s
Average write speed  15.3x.
Min drive buffer fill was 76%
Fixating...
Fixating time:    8.587s
/usr/bin/cdrecord: fifo had 8362 puts and 8362 gets.
/usr/bin/cdrecord: fifo was 0 times empty and 4639 times full, min fill was 82%.

cdrecord command:
-----------------------
/usr/bin/cdrecord -v gracetime=2 dev=/dev/hdd speed=16 -dao driveropts=burnfree
-eject -data isoimage.iso 

Comment 4 Peter Lemieux 2006-04-19 14:36:37 EDT
I have the same problem using k3b-0.12.14-0.FC5.2 and cdrecord-2.01.01.0.a03-3.
 I can burn as root but not as an ordinary user.  k3b passes back cdrecord error
"unknown error (code 11)".  I've tried changing permissions on cdrecord (e.g.,
to 4711), but it doesn't help.

I also don't have SELinux enabled on this machine.

I've never had a problem with k3b burning CD's or DVD's on this system as a
non-root user using earlier FC versions (at least FC3 and FC4).



Comment 5 Igor Jagec 2006-04-19 16:58:38 EDT
(In reply to comment #4)
> I have the same problem using k3b-0.12.14-0.FC5.2 and cdrecord-2.01.01.0.a03-
3.
>  I can burn as root but not as an ordinary user.  k3b passes back cdrecord 
error
> "unknown error (code 11)".  I've tried changing permissions on cdrecord (e.g.,
> to 4711), but it doesn't help.
> 
> I also don't have SELinux enabled on this machine.
> 
> I've never had a problem with k3b burning CD's or DVD's on this system as a
> non-root user using earlier FC versions (at least FC3 and FC4).


Did you upgrade your FC5 from FC4 or you did clean install? I upgrade it from 
FC3 --> FC4 --> FC5. Maybe that caused the problem. I usually have some issues 
after the upgrades. I think I'm gonna do clean install when FC6 arrives. Cheers!
Comment 6 Constantin Bejenaru 2006-06-26 22:49:33 EDT
I have this problem too, even after a kernel upgrade like suggested in a
fedoreforum.org thread.
This is a clean FC5 install, right after the installation it worked perfect, it
fails now after one of the updates.

Here my versions:
[boby@frozenminds ~]$ rpm -qa | grep cdrecord
cdrecord-devel-2.01.01.0.a03-3
cdrecord-2.01.01.0.a03-3
[boby@frozenminds ~]$ rpm -qa | grep k3b
k3b-devel-0.12.15-0.3.fc5.kde
k3b-i18n-0.12.15-1
k3b-extras-nonfree-0.12.14-2.lvn5
k3b-extras-0.12.14-4.fc5
k3b-debuginfo-0.12.14-0.FC5.2
k3b-0.12.15-0.3.fc5.kde
k3b-extras-nonfree-debuginfo-0.12.14-1.lvn5
[boby@frozenminds ~]$ uname -a
Linux frozenminds 2.6.17-1.2139_FC5 #1 Fri Jun 23 12:40:16 EDT 2006 i686 athlon
i386 GNU/Linux


Any luck to fix this? I would burn some CD's but none of the softwares is working :(

Thanks!
Comment 7 Bill Hayden 2006-06-27 14:13:31 EDT
For the record, I am having this problem too.  The difference for me is that it
doesn't even run as root.  Logged in as me, I get "cdrecord: Resource
temporarily unavailable. Cannot get mmap for 4198400 Bytes on /dev/zero" error."
 As root, I get "cdrecord: Invalid or incomplete multibyte or wide character.
Cannot open SCSI driver."
Comment 8 Bill Hayden 2006-06-27 14:15:48 EDT
I forgot to add this potentially important detail:  I am running a fully-updated
FC5 which was updated from FC4 via yum.
Comment 9 Igor Jagec 2006-06-28 02:03:04 EDT
(In reply to comment #8)
> I forgot to add this potentially important detail:  I am running a fully-updated
> FC5 which was updated from FC4 via yum.

Well, we all got the same problem. I think I'll go with clean install when FC6 arrives.
Cheers!
Comment 10 Peter Lemieux 2006-06-28 08:20:18 EDT
I'm a previous reporter of this bug.  

I've since done some research on this issue which indicates that the kernel
developers have blocked non-root access to CD/DVD burners for security reasons.
 There are a number of discussions about this issue on the LKML kernel mailing
list.  See, especially, Alan Cox's commenta at
http://lkml.org/lkml/2004/8/19/173 for a succinct presentation of the problem.  

I would like to recommend that this bug, and similar bug 160144, be closed
because this problem cannot be fixed by the Fedora developers.

However, an enhancement to FC6 would be to configure launchers for programs like
GnomeBaker or K3b to run with root privileges.  This is far better than the
current situation where an ordinary user like me runs K3b, tries to write a CD,
gets an arcane error, and posts a bug here!

Even better would be a customized password dialog that explained to the user
that Linux only allows the administrator account to burn CDs "for security
reasons."  Otherwise users will be puzzled why an apparently innocuous program
like K3b suddenly demands root privileges.
Comment 11 Alan Cox 2007-01-22 13:12:34 EST
All modern kernels filter which commands are allowed by non root users so that
non root users can burn cds but not for example flash new firmware 
Comment 12 Peter Lemieux 2007-01-22 13:58:53 EST
Thank you, Alan and company, for this fix. I can once again burn CDs as a
non-root user with the 2.6.19-1.2895.fc6 kernel.
Comment 13 Harald Hoyer 2007-01-23 04:58:33 EST
problem is mostly with plextor drives and their non-standard scsi commands
Comment 14 Bug Zapper 2008-04-03 22:39:43 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 15 Bug Zapper 2008-05-06 11:47:55 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.